Skip to main content
GET
/
api
/
datasetrw
/
v1
/
datasets
/
{datasetId}
/
snapshots
Get snapshots belonging to dataset
curl --request GET \
  --url https://api.example.com/api/datasetrw/v1/datasets/{datasetId}/snapshots \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  },
  "snapshots": [
    {
      "createdAt": "2022-03-12T02:13:44.467Z",
      "datasetId": "<string>",
      "id": "<string>",
      "creatorId": "<string>",
      "description": "<string>",
      "lastMounted": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

datasetId
string
required

ID of dataset to retrieve snapshots for

Query Parameters

offset
integer

How many Snapshots from the start to skip. Defaults to 0.

limit
integer

Max number of Snapshots to fetch. Defaults to 10.

Response

Success

metadata
object
required
snapshots
object[]
required